Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.resources.client
Interface ResourcePrototype

All Known Subinterfaces:
  ButtonCellBase.DefaultAppearance.Style, CellBrowser.Style, CellList.Style, CellTable.Style, CellTree.Style, CssResource, CssResourceBase, CustomScrollPanel.Style, DataGrid.Style, DataResource, ExternalTextResource, GwtCreateResource<T>, ImageResource, NativeHorizontalScrollbar.Style, NativeHorizontalScrollbar.StyleTransparant, NativeVerticalScrollbar.Style, NativeVerticalScrollbar.StyleTransparant, NotificationMole.Style, SimplePager.Style, TextResource

    public interface ResourcePrototype

The base interface all bundle resource types must extend.

Method Summary
`java.lang.String` | `getName()` Returns the name of the function within the ClientBundle used to create the ResourcePrototype.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the function within the ClientBundle used to create the ResourcePrototype.

  Returns:
    the name of the function within the ClientBundle used to create the ResourcePrototype

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD